> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Asset Platforms List (ID Map)

> This endpoint allows you to **query all the asset platforms on CoinGecko**

<Tip>
  ### Tips

  * You may use this endpoint to query the list of asset platforms for other endpoints that contain params like `id` or `ids` (asset platforms).
  * You may include NFT at the `filter` params to get the list of NFT-supported asset platforms on CoinGecko.
</Tip>

<Note>
  ### Note

  * Cache / Update Frequency: every 5 minutes for Public API.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /asset_platforms
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /asset_platforms:
    get:
      tags:
        - Asset Platforms
      summary: Asset Platforms List (ID Map)
      description: >-
        This endpoint allows you to **query all the asset platforms on
        CoinGecko**
      operationId: asset-platforms-list
      parameters:
        - name: filter
          in: query
          description: apply relevant filters to results
          required: false
          schema:
            type: string
            enum:
              - nft
      responses:
        '200':
          description: List all asset platforms
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetPlatforms'
components:
  schemas:
    AssetPlatforms:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            description: asset platform ID
          chain_identifier:
            type: number
            description: chainlist's chain ID
            nullable: true
          name:
            type: string
            description: chain name
          shortname:
            type: string
            description: chain shortname
          native_coin_id:
            type: string
            description: chain native coin ID
          image:
            type: object
            description: image of the asset platform
            properties:
              large:
                type: string
              small:
                type: string
              thumb:
                type: string
      example:
        - id: polygon-pos
          chain_identifier: 137
          name: Polygon POS
          shortname: MATIC
          native_coin_id: matic-network
          image:
            thumb: >-
              https://coin-images.coingecko.com/asset_platforms/images/15/thumb/polygon_pos.png?1706606645
            small: >-
              https://coin-images.coingecko.com/asset_platforms/images/15/small/polygon_pos.png?1706606645
            large: >-
              https://coin-images.coingecko.com/asset_platforms/images/15/large/polygon_pos.png?1706606645
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````